<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/


defined('_IN_JOHNCMS') or die('Error: restricted access');

// Проверяем права доступа
if ($rights < 9) {
  header("Location: $home?err");
 exit;
}

echo '<div class="phdr"><b><a href="../' . $set['admp'] . '/index.php">Админ панель</a></b> | Очистка чата</div>';

switch ($mod) {

  case 'delete':
    /*
    -----------------------------------------------------------------
    Полная очистка всех комнат
    -----------------------------------------------------------------
    */
    if (isset ($_GET['yes'])) {
      $i = 0;
      $room = mysql_query("SELECT * FROM `chat_rooms`");
      while ($room_d = mysql_fetch_assoc($room)) {
        mysql_query("DELETE FROM `chat_room_".$room_d['id']."`");
        mysql_query("OPTIMIZE TABLE `chat_room_".$room_d['id']."`");
       ++$i;
      }
      header("location: ?act=mod_messages&do=del");
     exit;
    } else {
      echo '<div class="rmenu"><p>Удалить все сообщения чата?</p>';
      echo '<p><a href="?act=mod_messages&amp;mod=delete&amp;yes">Да</a> | <a href="?act=mod_messages">Нет</a></p></div>';
    }
 break;

  case 'delete_s':
    /*
    -----------------------------------------------------------------
    Полная очистка всех комнат от скрытых сообщений
    -----------------------------------------------------------------
    */
    if (isset ($_GET['yes'])) {
      $i = 0;
      $room = mysql_query("SELECT * FROM `chat_rooms`");
      while ($room_d = mysql_fetch_assoc($room)) {
        mysql_query("DELETE FROM `chat_room_".$room_d['id']."` WHERE `tip` = '1'");
        mysql_query("OPTIMIZE TABLE `chat_room_".$room_d['id']."`");
       ++$i;
      }
      header("location: ?act=mod_messages&do=del_s");
     exit;
    } else {
      echo '<div class="rmenu"><p>Удалить скрытые сообщения чата?</p>';
      echo '<p><a href="?act=mod_messages&amp;mod=delete_s&amp;yes">Да</a> | <a href="?act=mod_messages">Нет</a></p></div>';
    }
 break;

  case 'delete_k':
    /*
    -----------------------------------------------------------------
    Очистка определённой комнаты
    -----------------------------------------------------------------
    */
    if (isset ($_GET['yes'])) {
      if (isset ($_GET['skr'])) {
        // Очистка комнаты от скрытых сообщений
        mysql_query("DELETE FROM `chat_room_".$id."` WHERE `tip` = '1'");
        mysql_query("OPTIMIZE TABLE `chat_room_".$id."`");
        header("location: ?act=mod_messages&do=del_k_s");
       exit;
      } else {
        // Полная очистка комнаты
        mysql_query("DELETE FROM `chat_room_".$id."`");
        mysql_query("OPTIMIZE TABLE `chat_room_".$id."`");
        header("location: ?act=mod_messages&do=del_k");
       exit;
      }
    } else {
      // Выбор комнаты для очистки
      $i = 0;
      $req = mysql_query("SELECT `id`, `name` FROM `chat_rooms`");
      while ($res = mysql_fetch_assoc($req)) {
        $soob = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_".$res['id']."`"), 0);
        $soob_s = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_".$res['id']."` WHERE `tip` = '1'"), 0);
        echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
        echo '<b>' . $res['name'] . '</b> <small>(' . $soob . '/<span class="red">' . $soob_s . '</span>)</small><br />';
        if ($soob) {
          echo '<div class="sub"><a href="?act=mod_messages&amp;mod=delete_k&amp;id=' . $res['id'] . '&amp;yes">Полностью</a>';
          if ($soob_s)
            echo ' | <a href="?act=mod_messages&amp;mod=delete_k&amp;id=' . $res['id'] . '&amp;skr&amp;yes">Скрытые</a>';
          echo '</div>';
        }
        echo '</div>';
       ++$i;
      }
    }
 break;

  default :
    /*
    -----------------------------------------------------------------
    Меню управления сообщениями
    -----------------------------------------------------------------
    */  
    switch ($do) {

      case 'del':
        echo '<div class="gmenu"><b>Чат очищен!</b></div>';
     break;
    
      case 'del_s':
        echo '<div class="gmenu"><b>Скрытые сообщения удалены!</b></div>';
     break;
    
      case 'del_k_s':
        echo '<div class="gmenu"><b>Комната очищена от скрытых сообщений!</b></div>';
     break;
    
      case 'del_k':
        echo '<div class="gmenu"><b>Комната очищена полностью!</b></div>';
     break;
    
      default :
        echo '';
    }    
    $i = 0;
    $soob = 0;
    $soob_s = 0;
    $room = mysql_query("SELECT * FROM `chat_rooms`");
    while ($room_d = mysql_fetch_assoc($room)) {
      $soob = $soob + mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_".$room_d['id']."`"), 0);
      $soob_s = $soob_s + mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_".$room_d['id']."` WHERE `tip` = '1'"), 0);
     ++$i;
    }
    echo '<div class="menu"><p><h3><img src="img/messages_delete.png" width="16" height="16" class="left" />&nbsp;Управление сообщениями</h3><ul>';
    echo '<li><a href="?act=mod_messages&amp;mod=delete_k">Очистить опр. комнату</a> <small>(' . $i . ')</small></li>';
    if ($soob_s)
      echo '<li><a href="?act=mod_messages&amp;mod=delete_s">Удалить скрытые сообщения</a> <small>(<span class="red">' . $soob_s . '</span>)</small></li>';
    echo '<li><a href="?act=mod_messages&amp;mod=delete">Удалить все сообщения</a> <small>(' . $soob . ')</small></li>';
    echo '</ul></p></div>';
}

if ($mod) {
  echo '<div class="phdr"><a href="?act=mod_messages">Назад</a></div>';
  echo '<p><a href="menu.php">Меню</a>';
} else {
  echo '<div class="phdr"><a href="menu.php">Меню</a></div>';
  echo '<p><a href="index.php">В чат</a>';
}
echo '<br /><a href="../' . $set['admp'] . '/index.php">Админ панель</a></p>';

?>